Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.spi
Class ClientRoute

    java.lang.Object
      org.jivesoftware.openfire.spi.ClientRoute

All Implemented Interfaces:
  Externalizable, Serializable, Cacheable

    public class ClientRoute

extends Object
implements Cacheable, Externalizable

Internal object used by RoutingTableImpl to keep track of the node that own a ClientSession and whether the session is available or not.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`ClientRoute()`
`ClientRoute(NodeID nodeID, boolean available)`

Method Summary
`int` | `getCachedSize()` Returns the approximate size of the Object in bytes.
`NodeID` | `getNodeID()`
`boolean` | `isAvailable()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientRoute

    public ClientRoute()

### ClientRoute

    public ClientRoute(NodeID nodeID,
                       boolean available)

Method Detail

### getNodeID

    public NodeID getNodeID()

### isAvailable

    public boolean isAvailable()

### getCachedSize

    public int getCachedSize()

  Description copied from interface: `Cacheable`
  Returns the approximate size of the Object in bytes. The size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

  Specified by:
    `getCachedSize` in interface `Cacheable`
  Returns:
    the size of the Object in bytes.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.